Package ch.qos.logback.classic.db.names

# Enum ColumnName

java.lang.Object
java.lang.Enum<ColumnName>
ch.qos.logback.classic.db.names.ColumnName

All Implemented Interfaces:
  `Serializable`, `Comparable<ColumnName>`, `java.lang.constant.Constable`

public enum ColumnName extends Enum<ColumnName>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARG0`
`ARG1`
`ARG2`
`ARG3`
`CALLER_CLASS`
`CALLER_FILENAME`
`CALLER_LINE`
`CALLER_METHOD`
`EVENT_ID`
`FORMATTED_MESSAGE`
`I`
`LEVEL_STRING`
`LOGGER_NAME`
`MAPPED_KEY`
`MAPPED_VALUE`
`REFERENCE_FLAG`
`THREAD_NAME`
`TIMESTMP`
`TRACE_LINE`

## Method Summary

Modifier and Type
Method
Description
`static ColumnName`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ColumnName[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EVENT_ID

public static final ColumnName EVENT_ID

### TIMESTMP

public static final ColumnName TIMESTMP

### FORMATTED_MESSAGE

public static final ColumnName FORMATTED_MESSAGE

### LOGGER_NAME

public static final ColumnName LOGGER_NAME

### LEVEL_STRING

public static final ColumnName LEVEL_STRING

### THREAD_NAME

public static final ColumnName THREAD_NAME

### REFERENCE_FLAG

public static final ColumnName REFERENCE_FLAG

### ARG0

public static final ColumnName ARG0

### ARG1

public static final ColumnName ARG1

### ARG2

public static final ColumnName ARG2

### ARG3

public static final ColumnName ARG3

### CALLER_FILENAME

public static final ColumnName CALLER_FILENAME

### CALLER_CLASS

public static final ColumnName CALLER_CLASS

### CALLER_METHOD

public static final ColumnName CALLER_METHOD

### CALLER_LINE

public static final ColumnName CALLER_LINE

### MAPPED_KEY

public static final ColumnName MAPPED_KEY

### MAPPED_VALUE

public static final ColumnName MAPPED_VALUE

### I

public static final ColumnName I

### TRACE_LINE

public static final ColumnName TRACE_LINE

## Method Details

### values

public static ColumnName[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ColumnName valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null